package com.fjhx.jushuitan.service.jushuitan.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.jushuitan.entity.jushuitan.dto.JushuitanConfigDto;
import com.fjhx.jushuitan.entity.jushuitan.dto.JushuitanConfigSelectDto;
import com.fjhx.jushuitan.entity.jushuitan.po.JushuitanConfig;
import com.fjhx.jushuitan.entity.jushuitan.vo.JushuitanConfigVo;
import com.fjhx.jushuitan.mapper.jushuitan.JushuitanConfigMapper;
import com.fjhx.jushuitan.service.jushuitan.JushuitanConfigService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 聚水潭配置 服务实现类
 * </p>
 *
 * @author
 * @since 2024-01-18
 */
@Service
public class JushuitanConfigServiceImpl extends ServiceImpl<JushuitanConfigMapper, JushuitanConfig> implements JushuitanConfigService {

    @Override
    public Page<JushuitanConfigVo> getPage(JushuitanConfigSelectDto dto) {
        IWrapper<JushuitanConfig> wrapper = getWrapper();
        wrapper.orderByDesc("jc", JushuitanConfig::getId);
        Page<JushuitanConfigVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public JushuitanConfigVo detail(Long id) {
        JushuitanConfig JushuitanConfig = this.getById(id);
        JushuitanConfigVo result = BeanUtil.toBean(JushuitanConfig, JushuitanConfigVo.class);
        return result;
    }

    @Override
    public void add(JushuitanConfigDto jushuitanConfigDto) {
        this.save(jushuitanConfigDto);
    }

    @Override
    public void edit(JushuitanConfigDto jushuitanConfigDto) {
        this.updateById(jushuitanConfigDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
